Fedora Core 5 : ruby-1.8.4-8.fc5 (2006-849)

High Nessus Plugin ID 24158


The remote Fedora Core host is missing a security update.


- Thu Jul 20 2006 Akira TAGOH <tagoh at redhat.com> - 1.8.4-8

- security fixes [CVE-2006-3694]

- ruby-1.8.4-fix-insecure-dir-operation.patch :

- ruby-1.8.4-fix-insecure-regexp-modification.patch:
fixed the insecure operations in the certain safe-level restrictions. (#199538)

- ruby-1.8.4-fix-alias-safe-level.patch: fixed to not bypass the certain safe-level restrictions. (#199543)

- Mon Jun 19 2006 Akira TAGOH <tagoh at redhat.com> - 1.8.4-7.fc5

- fixed the wrong file list again. moved tcltk library into ruby-tcltk. (#195872)

- Thu Jun 8 2006 Akira TAGOH <tagoh at redhat.com> - 1.8.4-5.fc5

- ruby-deprecated-search-path.patch: applied to add more search path for backward compatibility.

- added byacc to BuildReq.

- exclude ppc64 to make ruby-mode package. right now emacs.ppc64 isn't provided and buildsys became much stricter.

- Wed May 17 2006 Akira TAGOH <tagoh at redhat.com> - 1.8.4-4.fc5

- correct sitelibdir. (#184198)

- ruby-rubyprefix.patch: moved all arch-independent modules under /usr/lib/ruby and keep arch-dependent modules under /usr/lib64/ruby for 64bit archs. so 'rubylibdir', 'sitelibdir' and 'sitedir' in Config::CONFIG points to the kind of /usr/lib/ruby now. (#184199)

- ruby-deprecated-search-path.patch: added the deprecated installation paths to the search path for the backward compatibility.

- added a Provides: ruby(abi) to ruby-libs.

- ruby-1.8.4-64bit-pack.patch: backport patch from upstream to fix unpack('l') not working on 64bit arch and integer overflow on template 'w'. (#189350)

- updated License tag to be more comfortable, and with a pointer to get more details, like Python package does.

- clean up.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected packages.

See Also


Plugin Details

Severity: High

ID: 24158

File Name: fedora_2006-849.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2007/01/17

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:ruby, p-cpe:/a:fedoraproject:fedora:ruby-debuginfo, p-cpe:/a:fedoraproject:fedora:ruby-devel, p-cpe:/a:fedoraproject:fedora:ruby-docs, p-cpe:/a:fedoraproject:fedora:ruby-irb, p-cpe:/a:fedoraproject:fedora:ruby-libs, p-cpe:/a:fedoraproject:fedora:ruby-mode, p-cpe:/a:fedoraproject:fedora:ruby-rdoc, p-cpe:/a:fedoraproject:fedora:ruby-ri, p-cpe:/a:fedoraproject:fedora:ruby-tcltk, cpe:/o:fedoraproject:fedora_core:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2006/07/22

Reference Information

FEDORA: 2006-849